package com.ruoyi.invest.mapper;

import com.ruoyi.invest.domain.TProjectDecision;
import com.ruoyi.invest.domain.TProjectTermination;
import com.ruoyi.invest.domain.vo.ProjectTerminationVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目池Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface TerminationMapper {
    /**
     * 新增终止申请
     *
     * @param tProjectTermination 终止申请
     * @return 结果
     */
    public int insertTProjectTermination(TProjectTermination tProjectTermination);

    /**
     * 修改终止申请
     *
     * @param tProjectTermination 终止申请
     * @return 结果
     */
    public int updateTProjectTermination(TProjectTermination tProjectTermination);
    /*已办任务*/
    List<ProjectTerminationVo> selectAllTerminationList(@Param("projectTermination") TProjectTermination tProjectTermination);
    /*待办任务*/
    List<ProjectTerminationVo> getMyTaskList(@Param("userId") String userId, @Param("projectTermination") TProjectTermination tProjectTermination);
    /*已办任务*/
    List<ProjectTerminationVo> getMyDoneTaskList(@Param("userId") String userId, @Param("projectTermination") TProjectTermination tProjectTermination);
    /*我的单据*/
    List<ProjectTerminationVo> getMyList(@Param("userId") String userId, @Param("projectTermination")TProjectTermination tProjectTermination);
    /*详情*/
    public TProjectTermination selectTProjectTerminationByProcInstId(String ProcInstId);
    public ProjectTerminationVo selectProjectTerminationByProcInstId(String ProcInstId);

    /**
     * 根据项目ID获取最新终止申请
     * @param projectPoolId
     * @return
     */
    TProjectTermination listProjectPoolIdNew(String projectPoolId);


}
